{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "nationchains/schema/tribes",
  "title": "Tribes",
  "description": "A tribe belonging to a town",
  "type": "object",
  "properties": {
    "tribeId":{
      "type":"string",
      "pattern":"^[a-z0-9]*$"
    },
    "townId": {
      "type": "string",
      "$ref": "nationchains/towns/idx/towns_uuid_uuid.json"
    },
    "nationId": {
      "type": "string",
      "$ref": "nationchains/nations/idx/nations_uuid_uuid.json"
    },
    "druidId": {
      "type": "string",
      "$ref": "nationchains/pagans/idx/alias_all.json"
    },
    "dns": {
      "type": "array",
      "items":{"type":"string", "uniqueItems":true}

    }
  },
  "required": ["townId", "status", "nationId", "dns"],
  "apxprimarykey": ["tribeId"],
  "apxsearchindex": [
    { "key": "status", "value": "tribeId" },
    { "key": "tribeId", "value": [] }
  ]
}
